dev-php / PHPMailer

Full-featured email creation and transfer class for PHP

Official package sites : https://github.com/PHPMailer/PHPMailer ·

v6.0.7 :: 0 :: gentoo

Modified
License
LGPL-2.1
Keywords
~amd64 ~x86
USE flags
doc idn ssl

v5.2.27 :: 0 :: gentoo

Modified
License
LGPL-2.1
Keywords
~amd64 ~x86
USE flags
doc examples idn ssl

General

doc
Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
examples
Install examples, usually source code
idn
Enable support for Internationalized Domain Names
ssl
Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)

dev-lang / php : The PHP language runtime engine

dev-php / phpDocumentor : Automatic documenting of php api directly from the source

dev-lang / php : The PHP language runtime engine

Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-php/PHPMailer: security cleanup (CVE-2018-19296)
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-php/PHPMailer: bump to v5.2.27
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-php/PHPMailer: bump to v6.0.7
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michael Orlitzky · gentoo
dev-php/PHPMailer: new version 6.0.5.
Signed-off-by: Michael Orlitzky <mjo@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Michael Orlitzky · gentoo
dev-php/PHPMailer: another revision to sort out PHP extension deps.
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Michael Orlitzky · gentoo
dev-php/PHPMailer: new revision to add a dev-lang/php[ssl] dependency.
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Michael Orlitzky · gentoo
dev-php/PHPMailer: new version 5.2.26.
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Michael Orlitzky · gentoo
dev-php/PHPMailer: new revision to fix CVE-2017-11503.
This quick workaround simply removes the problematic example. Gentoo-Bug: 626060 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-php/PHPMailer: new version 5.2.23.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Michael Orlitzky · gentoo
dev-php/PHPMailer: new version 5.2.20 to fix CVE-2016-10045.
Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-php/PHPMailer: new version to fix CVE-2016-10033.
The new version fixes a critical security vulnerability, and so it replaces the existing (unstable) version. The release tarball for the latest version is missing some documentation. I reported that upstream, and commented those docs out of the ebuild for now so that we can get the CVE fix as soon as possible. Gentoo-Bug: 603750 PHPMailer-Bug: https://github.com/PHPMailer/PHPMailer/issues/919 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-php/PHPMailer: version bump 5.2.14 -> 5.2.16.
Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-php/PHPMailer: new package to construct and send email using PHP.
Package-Manager: portage-2.2.20.1